{% extends "base.twig" %}

{% block content %}
	<div class="content-wrapper grid single-emission">
		<article class="col-8_sm-12 post-type-{{ post.post_type }}" id="post-{{ post.ID }}">
			<img src="{{ post.thumbnail.src|resize(1200, 300) }}">
			<section class="article-content">
				<h1>{{ post.title }}</h1>

				<div class="article-body">
					{{post.content}}
				</div>
			</section>
		</article>

		<div class="aside col-4_sm-12 flex items-center justify-between flex-col">
			{% if post.sous_titre %}
				<h2>{{post.sous_titre }}</h2>
			{% endif %}
			<div class="emission-meta text-center">
				<p class="font-bold">{{ post.jour }}</p>
				<p class="font-bold">{{ post.heure_de_debut | date('G:i') }} à {{ post.heure_de_fin | date('G:i') }}</p>
			</div>

			{% if post.reseaux_sociaux %}
				<h2>Réseaux sociaux</h2>
				<ul class="social-networks text-black flex justify-around w-full">
					{% if post.facebook %}
						<li><a class="hover:text-black" href="{{ post.facebook }}"><i class="fab fa-facebook-f"></i></a></li>
					{% endif %}
					{% if post.twitter %}
						<li><a class="hover:text-black" href="{{ post.twitter }}"><i class="fab fa-twitter"></i></a></li>
					{% endif %}
					{% if post.instagram %}
						<li><a class="hover:text-black" href="{{ post.instagram }}"><i class="fab fa-instagram"></i></a></li>
					{% endif %}
					{% if post.soundcloud %}
						<li><a class="hover:text-black" href="{{ post.soundcloud }}"><i class="fab fa-soundcloud"></i></a></li>
					{% endif %}
				</ul>
			{% endif %}
				
		</div>
	</div><!-- /content-wrapper -->
	<div class="podcasts">
		{% if post.podcasts %}
		<h2>Podcasts de l'émission</h2>
		<ul>
			{% for podcast in post.podcasts %}
			<li class="mb-6">
				<p class="text-gray-700 text-base">Emission du {{ TimberPost(podcast).date_diffusion | date("d/m/Y") }}</p>
				<audio class="w-full"
					controls
					src="{{ TimberPost(podcast).url }}">
							Your browser does not support the
							<code>audio</code> element.
				</audio>
			</li>
			{% endfor %}
		</ul>
		{% endif %}
	</div>
{% endblock %}
